Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class TypedContentHandler

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.ContentHandlerProxy
              net.sf.saxon.dom.TypedContentHandler

All Implemented Interfaces:
  org.xml.sax.Locator, Receiver, javax.xml.transform.Result

public class TypedContentHandler
extends ContentHandlerProxy

This class is an extension of ContentHandlerProxy that provides access to type information, using the DOM Level 3 TypeInfo interfaces. The ContentHandlerProxy also acts as a TypeInfoProvider, providing information about the type of the current element or attribute.

Nested Class Summary
`class` | `TypedContentHandler.TypeInfoProviderImpl`

Field Summary

Fields inherited from class net.sf.saxon.event.ContentHandlerProxy
`handler, lexicalHandler, pendingAttributes`

Fields inherited from class net.sf.saxon.event.Emitter
`characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`TypedContentHandler()`

Method Summary
`javax.xml.validation.TypeInfoProvider` | `getTypeInfoProvider()` Get a TypeInfoProvider to provide type information for the current element or attribute event.
`void` | `startElement(int nameCode, int typeCode, int locationId, int properties)` Notify the start of an element

Methods inherited from class net.sf.saxon.event.ContentHandlerProxy
`attribute, characters, close, comment, endDocument, endElement, getColumnNumber, getLineNumber, getPublicId, getSystemId, getUnderlyingContentHandler, isRequireWellFormed, isUndeclareNamespaces, namespace, notifyNotWellFormed, open, processingInstruction, setLexicalHandler, setOutputProperties, setPipelineConfiguration, setRequireWellFormed, setUndeclareNamespaces, setUnderlyingContentHandler, startContent, startDocument`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getWriter, makeEmitter, makeWriter, setOutputStream, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedContentHandler

    public TypedContentHandler()

Method Detail

### getTypeInfoProvider

    public javax.xml.validation.TypeInfoProvider getTypeInfoProvider()

  Get a TypeInfoProvider to provide type information for the current element or attribute event.

### startElement

    public void startElement(int nameCode,
                             int typeCode,
                             int locationId,
                             int properties)
                      throws XPathException

  Notify the start of an element

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `ContentHandlerProxy`
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD